Update investment account
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/investment-accounts/{account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custodian_name": "<string>",
"account_number": "<string>",
"balance": 123,
"holdings": [
{
"symbol": "<string>",
"name": "<string>",
"quantity": 123,
"market_value": 123,
"cost_basis": 123
}
],
"date_of_death_value": 123,
"institution_contact_id": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/investment-accounts/{account_id}"
payload = {
"custodian_name": "<string>",
"account_number": "<string>",
"balance": 123,
"holdings": [
{
"symbol": "<string>",
"name": "<string>",
"quantity": 123,
"market_value": 123,
"cost_basis": 123
}
],
"date_of_death_value": 123,
"institution_contact_id": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custodian_name: '<string>',
account_number: '<string>',
balance: 123,
holdings: [
{
symbol: '<string>',
name: '<string>',
quantity: 123,
market_value: 123,
cost_basis: 123
}
],
date_of_death_value: 123,
institution_contact_id: '<string>',
notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/investment-accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K9IA01AJ0T44HRYE78AN7III",
"case_id": "<string>",
"account_type": "brokerage",
"custodian_name": "Charles Schwab",
"account_number": "***3456",
"status": "active",
"balance": 92500,
"holdings": [
{
"symbol": "AAPL",
"name": "Apple Inc.",
"quantity": 123,
"market_value": 123,
"cost_basis": 123
}
],
"beneficiaries": [
{
"name": "<string>",
"relationship": "<string>",
"percentage_share": 123
}
],
"date_of_death_value": 123,
"transfer_status": "not_started",
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Investment Accounts
Update investment account
PATCH
/
cases
/
{case_id}
/
investment-accounts
/
{account_id}
Update investment account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
brokerage, mutual_fund, etf, individual_stocks, individual_bonds, index_fund, managed_account, 529_plan, drip, private_equity, alternative_investment, hsa, msa, cryptocurrency, other Available options:
active, inactive, frozen, transferred, liquidated, closed, unknown Show child attributes
Show child attributes
Available options:
not_started, paperwork_submitted, in_review, transferred, liquidated Response
Account updated.
Show child attributes
Show child attributes
⌘I

